import java.awt.GridLayout;

/**
 * @author Jon Klein, CM2296
 * Contains the side panel, which contains the paint tools, such as paint tool buttons.
 */
public class SidePanel extends ButtonPanel
{

	private String[] tools = new String[] {
			"brush", "eraser", "rectangle", "ellipse", "polygon", "spraypaint", "line", "text"};
	/**
	 * Constructs the button tools panel.
	 * 
	 * @param rows
	 * @param cols
	 */
	
	public SidePanel(int rows, int cols)
	{
		super( new GridLayout(rows, cols), rows * cols);
		int i = -1;
		for (String tool : tools)
		{
			this.Buttons.get(++i).setText(tool);
		}
	}
	

}
